import type { ModalStaticFunctions } from "antd/es/modal/confirm";
declare type RType = (url: string, data?: {} | undefined, config?: {} | undefined) => Promise<any>;
declare class Request {
    private request;
    constructor();
    setRequest(val: any): void;
    getRequest(): {
        get: RType;
        post: RType;
        put: RType;
        remove: RType;
        custom: RType;
    };
}
export declare const request: Request;
declare let modal: Omit<ModalStaticFunctions, "warn">;
export declare const setModal: (m: Omit<ModalStaticFunctions, "warn">) => void;
export declare const saveConfirm: () => Promise<{
    destroy: () => void;
    update: (configUpdate: import("antd/es/modal/interface").ModalFuncProps | ((prevConfig: import("antd/es/modal/interface").ModalFuncProps) => import("antd/es/modal/interface").ModalFuncProps)) => void;
}>;
export { modal };
